Name: canorus
Version: 0.5
%define svnver 712
Release: alt1

Summary: Free cross-platform music score editor
Group: Sound
License: GPL
Url: http://www.canorus.org/
#Url: http://developer.berlios.de/projects/%name

Source: http://download.berlios.de/%name/%{name}_%{version}_source.tar
#.bz2
Source1: %name.desktop

# Patch1: %name-...patch

# Automatically added by buildreq on Thu Jan 03 2008
BuildRequires: cmake gcc-c++ libalsa-devel libqt4-devel libqt4-svg

# Century Schoolbook L
PreReq: urw-fonts
# FreeSans
PreReq: fonts-ttf-freefont

%description
Canorus is a free next generation cross-platform music score editor
 written in Qt4. It is a sequel of the well-known music score editor
 for Linux, NoteEdit.

 Canorus supports Python and Ruby scripting languages for plugins, a
 fast and straight-forward user interface, source view of the score,
 a number of import and export filters for LilyPond, MusicXML,
 NoteEdit and others.

%prep
%setup -q -n %name-%version.R%svnver
#%%patch1 -p1

%build
cmake -D CMAKE_INSTALL_PREFIX=/usr \
	-D NO_RUBY:BOOL=TRUE \
	-D NO_PYTHON:BOOL=TRUE \
	-D CMAKE_SKIP_RPATH:BOOL=TRUE .
%make_build

%install
find -name cmake_install.cmake | xargs -i \
	subst 's|DESTINATION \"/usr/|DESTINATION \"%buildroot/usr/|' {}
%make install
rm -f %buildroot%_datadir/%name/*.so
rm -f %buildroot%_libdir/*.py
rm -rf %buildroot%_datadir/fonts/truetype/
mkdir -p %buildroot%_datadir/fonts/ttf/%name/
install -m644 src/fonts/Emmentaler-14.ttf %buildroot%_datadir/fonts/ttf/%name/

mkdir -p %buildroot%_desktopdir
install -m644 %SOURCE1 %buildroot%_desktopdir

# TODO
#	py and ruby
#	%%find_lang --with-kde %name

%add_findreq_skiplist %_datadir/%name/scripts/*

%post
fc-cache %_datadir/fonts/ttf/%name ||:
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
#%%_libdir/*.so
%_desktopdir/%name.desktop
%_datadir/%name
%_datadir/fonts/ttf/%name
%doc AUTHORS DEVELOPERS NEWS README TODO

%changelog
* Mon Apr 14 2008 Ildar Mulyukov <ildar@altlinux.ru> 0.5-alt1
- new version
- desktop file categories fix

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for canorus

* Thu Jan 03 2008 Ildar Mulyukov <ildar@altlinux.ru> 0.4-alt1
- 1st Sisyphus release

